API Documentation
Prints a description of all API end points.
http://api.kalooga.com/v1/doc
Display the api-documentation
http://api.kalooga.com/v1/doc
Request parameters
(none)
Response attributes
(none)
Gallery Search
Search galleries based on query and other search parameters.
http://api.kalooga.com/v1/search/galleries
Request 5 galleries with 4 images about Marmolada
http://api.kalooga.com/v1/search/galleries?
query
=
Marmolada
&
api_key
=
[YOUR_KEY]
Request 5 premium-galleries with 4 images about Marmolada. For each result, only return title and url.
http://api.kalooga.com/v1/search/galleries?
query
=
Marmolada
&
safe-search
=
premium
&
filter
=
Search%3Aresults%3A%28title%2C+url%29
&
api_key
=
[YOUR_KEY]
Request parameters
parameter
type
default
description
constraints
category
String
all
The category to search in, accepted values: all, unkown, travel, soccer, celebrities, cars, animals, movies, olympics
Match pattern: (all|unkown|travel|soccer|celebrities|cars|animals|movies|olympics)
query
String
The query for which to search
May not be null
Size(length) must be between 3 and 50
safe_search
String
default
The setting for the safe-search-filter
Match pattern: (default|none|premium)
pageSize
int
5
The number of galleries per page
number
int
0
The page number (0 based)
Minimal value: 0
Maximal value: 200
numThumbs
int
4
The minimal number of thumbnails per gallery to return
Maximal value: 20
Minimal value: 1
api_key
String
The api key with which to execute the request.
Size(length) must be between 4 and 40
callback
String
If format=json then value is used as callback_method for jsonp.
Match pattern: ([a-zA-Z_$][0-9a-zA-Z_$]*)?
format
String
xml
The desired output format.
Match pattern: (json|xml)
filter
String
The output filter, use empty filter for no filtering.
Should match filter syntax or be empty/null
Response attributes
parameter
type
description
category
String
The used category, may be autodetermined
results
List{Gallery}
List of results for this page
title
String
The title of the gallery-page
domain
String
The domain of the gallery page
urlHash
String
The hash that defines the gallery
thumbnails
Thumbnail[]
List of selected thumbnails (ordered by relevancy)
src
String
The url of the thumbnail.
url
String
The url of the gallery page
totalResults
Integer
Total number of matching-galleries
pagenumber
Integer
The actual page number, 0 based
query
String
The Query which was used in the search
totalPages
Integer
Total number of result pages
Semantics - Keyword Extraction
Find keywords in a text.
http://api.kalooga.com/v1/semantics/keywords
Find keywords in the given query-string.
http://api.kalooga.com/v1/semantics/keywords?
query
=
Ajax+is+a+javascript+web+technology
&
language
=
en
&
api_key
=
[YOUR_KEY]
Find keywords in the given query-string.
http://api.kalooga.com/v1/semantics/keywords?
query
=
Ajax+is+a+dutch+soccer+club
&
language
=
en
&
api_key
=
[YOUR_KEY]
Request parameters
parameter
type
default
description
constraints
scope
String
Categories used to narrow the search to these categories
Match pattern: [A-Za-z0-9 ,]*
category_filter
String
Only keywords matching these categories are returned
Match pattern: [A-Za-z0-9 ,]*
query
String
The text from which to extract the keywords.
Size(length) must be between 3 and 1500
May not be null
language
String
Language of the text to analyze
Size(length) must be between 2 and 2
May not be null
api_key
String
The api key with which to execute the request.
Size(length) must be between 4 and 40
callback
String
If format=json then value is used as callback_method for jsonp.
Match pattern: ([a-zA-Z_$][0-9a-zA-Z_$]*)?
format
String
xml
The desired output format.
Match pattern: (json|xml)
filter
String
The output filter, use empty filter for no filtering.
Should match filter syntax or be empty/null
Response attributes
parameter
type
description
keywords
Keyword[]
The list of found keywords
concept
String
The concept that the words were matched to.
weight
float
The score/weight of the keyword with respect to other keywords.
term
String
The best matching word that was found in the text which referd to the concept.
categories
Category[]
The list of categories that the concept belongs to.
name
String
The name of the category
Article Search
Returns a list of articles that match a given query.
http://api.kalooga.com/v1/publishing/articles
Request articles about "ajax"
http://api.kalooga.com/v1/publishing/articles?
keywords
=
ajax
&
api_key
=
[YOUR_KEY]
Request articles about "ajax" on publisher 56
http://api.kalooga.com/v1/publishing/articles?
keywords
=
ajax
&
publishers
=
56
&
api_key
=
[YOUR_KEY]
The articles that are after a certain time on publisher 557
http://api.kalooga.com/v1/publishing/articles?
order
=
event_date_desc
&
publishers
=
557
&
api_key
=
[YOUR_KEY]
Request parameters
parameter
type
default
description
constraints
startEventTime
String
Sorts the results based on this field
publishers
String
A list of comma separated publisher id's which filters the results.
Match pattern: ([0-9,])*
keywords
String
A list of space separated keywords that are used for searching.
Size(length) must be between 1 and 50
order
String
Sorts the results based on this field
Match pattern: (event|created)_date_(desc|asc)
pageSize
int
10
The number of articles per page
Minimal value: 1
Maximal value: 100
state
String
State of the article, filled waiting or wontfill
Match pattern: [a-z]+(,[a-z]+)*
number
int
0
The page number (0 based)
Minimal value: 0
Maximal value: 200
endEventTime
String
Sorts the results based on this field
api_key
String
The api key with which to execute the request.
Size(length) must be between 4 and 40
callback
String
If format=json then value is used as callback_method for jsonp.
Match pattern: ([a-zA-Z_$][0-9a-zA-Z_$]*)?
format
String
xml
The desired output format.
Match pattern: (json|xml)
filter
String
The output filter, use empty filter for no filtering.
Should match filter syntax or be empty/null
Response attributes
parameter
type
description
results
List{Article}
The list of articles
body
String
The remainder of the article (if available)
eventDate
long
Date that is extracted from the article
title
String
The title of the article
keywords
List{String}
Keywords that have been extracted (either manual of with annotation service)
gallery
Gallery
The gallery that is shown with this article
imageUrls
Collection{String}
The image(s) that (is|are) published with this article
createdDate
long
Date that the article first requested
intro
String
The chapeau/intro of the article (if available)
url
String
The original url of the article
publisher
Integer
The publisher id
totalResults
long
The total number of matching articles